Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package base
  Definition Classes
    doc
-  package comment
  Definition Classes
    base
- CommentFactoryBase
- LinkTo
- LinkToExternal
- LinkToMember
- LinkToTpl
- MemberLookupBase
- Tooltip

t

scala.tools.nsc.doc.base

# CommentFactoryBase 

###

#### trait CommentFactoryBase extends AnyRef

The comment parser transforms raw comment strings into `Comment` objects. Call `parse` to run the parser. Note that the parser is stateless and should only be built once for a given Scaladoc run.

Self Type
  CommentFactoryBase with MemberLookupBase
Source
  CommentFactoryBase.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
CommentFactory
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CommentFactoryBase
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  sealed class CharReader extends AnyRef
   Attributes
     protected
2.  final class WikiParser extends (CommentFactoryBase.this)#CharReader

   TODO

   TODO

   Attributes
     protected

### Abstract Value Members

1.  abstract val global: Global

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from CommentFactoryBase to any2stringadd[CommentFactoryBase] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (CommentFactoryBase, B)
   Implicit
     This member is added by an implicit conversion from CommentFactoryBase to ArrowAssoc[CommentFactoryBase] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def createComment(body0: Option[Body] = None, authors0: List[Body] = List.empty, see0: List[Body] = List.empty, result0: Option[Body] = None, throws0: Map[String, Body] = Map.empty, valueParams0: Map[String, Body] = Map.empty, typeParams0: Map[String, Body] = Map.empty, version0: Option[Body] = None, since0: Option[Body] = None, todo0: List[Body] = List.empty, deprecated0: Option[Body] = None, note0: List[Body] = List.empty, example0: List[Body] = List.empty, constructor0: Option[Body] = None, source0: Option[String] = None, inheritDiagram0: List[String] = List.empty, contentDiagram0: List[String] = List.empty, group0: Option[Body] = None, groupDesc0: Map[String, Body] = Map.empty, groupNames0: Map[String, Body] = Map.empty, groupPrio0: Map[String, Body] = Map.empty, hideImplicitConversions0: List[Body] = List.empty, shortDescription0: List[Body] = List.empty): Comment
9.  def ensuring(cond: (CommentFactoryBase) ⇒ Boolean, msg: ⇒ Any): CommentFactoryBase
   Implicit
     This member is added by an implicit conversion from CommentFactoryBase to Ensuring[CommentFactoryBase] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (CommentFactoryBase) ⇒ Boolean): CommentFactoryBase
    Implicit
      This member is added by an implicit conversion from CommentFactoryBase to Ensuring[CommentFactoryBase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): CommentFactoryBase
    Implicit
      This member is added by an implicit conversion from CommentFactoryBase to Ensuring[CommentFactoryBase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): CommentFactoryBase
    Implicit
      This member is added by an implicit conversion from CommentFactoryBase to Ensuring[CommentFactoryBase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from CommentFactoryBase to StringFormat[CommentFactoryBase] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
23.  def parseAtSymbol(comment: String, src: String, pos: Position, site: Global.Symbol = NoSymbol): Comment

    Parses a raw comment string into a `Comment` object.

    Parses a raw comment string into a `Comment` object.

    comment

      The expanded comment string (including start and end markers) to be parsed.

    src

      The raw comment source string.

    pos

      The position of the comment in source.

    Attributes
      protected
24.  def parseWikiAtSymbol(string: String, pos: Position, site: Global.Symbol): Body

    Parses a string containing wiki syntax into a `Comment` object.

    Parses a string containing wiki syntax into a `Comment` object. Note that the string is assumed to be clean:

    - Removed Scaladoc start and end markers.
    - Removed start-of-line star and one whitespace afterwards (if present).
    - Removed all end-of-line whitespace.
    - Only `endOfLine` is used to mark line endings.
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  def →[B](y: B): (CommentFactoryBase, B)
    Implicit
      This member is added by an implicit conversion from CommentFactoryBase to ArrowAssoc[CommentFactoryBase] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from CommentFactoryBase to any2stringadd[CommentFactoryBase]

### Inherited by implicit conversion StringFormat from CommentFactoryBase to StringFormat[CommentFactoryBase]

### Inherited by implicit conversion Ensuring from CommentFactoryBase to Ensuring[CommentFactoryBase]

### Inherited by implicit conversion ArrowAssoc from CommentFactoryBase to ArrowAssoc[CommentFactoryBase]

### Ungrouped